Skip to main content

List all webhook deliveries

GET 

/v2/config/webhooks/:webhookId/deliveries

This endpoint is used to read recent webhook deliveries with pagination from the consent building block that were sent to an external IT system.

Request

Path Parameters

    webhookId stringrequired

Query Parameters

    offset integerrequired

    Default value: 0

    Number of records to skip for pagination. A negative or unreadable value falls back to 0.

    limit integerrequired

    Default value: 10

    Maximum number of records to return per page.

Responses

OK

Response Headers
    Schema
      pagination objectrequired
      currentPage integer

      Current page number

      totalItems integer

      Total number of items available

      totalPages integer

      Total number of pages based on limit

      limit integer

      Number of items per page

      hasPrevious boolean

      Indicates if there's a previous page

      hasNext boolean

      Indicates if there's a next page

      webhookDeliveries object[]required

      WebhookDelivery

    • Array [
    • oneOf
      id stringrequired

      Unique identifier of the delivery. This is the deliveryID field of the delivered payload.

      webhookId stringrequired

      Unique identifier of the webhook that made the delivery.

      responseStatusCode int32required

      HTTP status code that the payload URL sent. The value is 0 when the service could not reach the payload URL.

      responseStatusStr stringrequired

      HTTP status text that the payload URL sent. The value is an empty string when the service could not reach the payload URL.

      timestamp stringrequired

      UTC time when the delivery started.

      status stringrequired

      Possible values: [completed, failed]

      Result of the delivery. completed means the payload URL answered, also when it answered with an error code. Read responseStatusCode to see the answer. failed means the service could not reach the payload URL.

      statusDescription stringrequired

      Reason for a failure. The value is an empty string when the delivery succeeded.

    • ]
    Loading...